#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> x(n), y(n);
    for(int i=0;i<n;i++) cin >> x[i] >> y[i];
    int s=0;
    sort(x.begin(),x.end());
    sort(y.begin(),y.end());
    for(int i=1;i<=n;i++) s+=abs(x[i-1]-i);
    for(int i=1;i<=n;i++) s+=abs(y[i-1]-i);
    cout << s;
    return 0;
}